Subject: Problem creating files in make
From: Michael Eager <[email-masked]>
To: Cygwin Mailing List <[email-masked]>
Date: Thu, 20 Jun 2002 18:04:17 -0700

I'm running cygwin-1.3.10 (0.51/3/2), bash 2.05a.0(3) and make 3.79.1.
I've replaces /bin/sh with bash.

GCC configure contains the following code:

# Make gthr-default.h if we have a thread file.
gthread_flags=
if test $thread_file != single; then
    rm -f gthr-default.h
    echo "#include \"gthr-${thread_file}.h\"" > gthr-default.h
    gthread_flags=-DHAVE_GTHR_D
fi

When I execute this under Cygwin, $thread_file is "posix" and the block
of code is being entered.  But gthr-default.h is not created.  An "ls"
after the "echo" will execute, but show no file created.

There are several things which I can do which will cause the file to
be created.  The simplest is to comment out the "rm".   Alternately,
creating a file before and/or after the "echo" will preserve the file.

Any idea what is causing this or how to fix it?

--
Michael Eager     [email-masked]	408-328-8426	
MontaVista Software, Inc. 1237 E. Arques Ave., Sunnyvale, CA  94085

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/